// Cuore.pde
// Copyright (c) 2011 Devon Sean McCullough
// Licensed under the GPL (GNU Public License)

#include <LiquidCrystal.h>
#include <Trixel.h>

// Mama's LCD Card
//                RS, Enable, D4, D5, D6, D7);
LiquidCrystal lcd(12,     11,  5,  4,  6,  7);
Trixel t(&lcd);

void setup()
{
  lcd.begin(7, 2);
  t.begin(7, 2);
                            t.setDot(2,0);            t.setDot(4,0);
               t.setDot(1,1);            t.setDot(3,1);            t.setDot(5,1);
               t.setDot(1,2);                                      t.setDot(5,2);
               t.setDot(1,3);                                      t.setDot(5,3);
                            t.setDot(2,4);            t.setDot(4,4);
                                         t.setDot(3,5);
  t.show();
}

void loop() {
  t.setChar(0,5,' '); t.setChar(6,0,'+'); t.show(); delay(700);
  t.setChar(0,5,'-'); t.setChar(6,0,' '); t.show(); delay(700);
}

// fine Cuore.pde
